#include <Au3SyntaxHighlight.au3>

$iAu3SH_AddURLs = 1

If $CmdLine[0] = 0 Then
	$sInitDir = ""
	$sFilter = "*.au3"
	
	$sMRUList = RegRead("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\ComDlg32\OpenSaveMRU\au3", "MRUList")
	$sLastFileOpenPath = RegRead("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\ComDlg32\OpenSaveMRU\au3", StringLeft($sMRUList, 1))
	
	If Not FileExists($sLastFileOpenPath) Then
		$sInitDir = @ScriptDir
		$sFilter = "Test Script.au3"
	EndIf
	
	$sFile = FileOpenDialog("Open Au3 Script File", $sInitDir, "AutoIt Script (" & $sFilter & ")")
	If @error Then Exit
ElseIf FileExists($CmdLine[1]) Then
	$sFile = $CmdLine[1]
Else
	Exit
EndIf

$sAu3Code = FileRead($sFile)
$sAu3HighlightedCode = _Au3_SyntaxHighlight_Proc($sAu3Code, 3)

ClipPut($sAu3HighlightedCode)
MsgBox(64, 'Au3SyntaxHighlight', 'Highlighted code as BBCode format have been placed to clipboard')
